commit:     df43d67e374b9da123f8074bb5dfe7c15c4f8d32
Author:     Andrea Cerisara <andreacerisara <AT> gmail <DOT> com>
AuthorDate: Thu Apr 23 22:46:01 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Apr 26 13:36:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df43d67e

app-benchmarks/siege: version bump to 4.0.5

- update header and eapi
- update license

Bug: https://bugs.gentoo.org/717588
Signed-off-by: Andrea Cerisara <andreacerisara <AT> gmail.com>
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Closes: https://github.com/gentoo/gentoo/pull/15494
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-benchmarks/siege/Manifest           |  1 +
 app-benchmarks/siege/metadata.xml       | 18 +++++++++++-
 app-benchmarks/siege/siege-4.0.5.ebuild | 50 +++++++++++++++++++++++++++++++++
 3 files changed, 68 insertions(+), 1 deletion(-)

diff --git a/app-benchmarks/siege/Manifest b/app-benchmarks/siege/Manifest
index 0594c1e22e3..27492dd43e8 100644
--- a/app-benchmarks/siege/Manifest
+++ b/app-benchmarks/siege/Manifest
@@ -1 +1,2 @@
 DIST siege-4.0.4.tar.gz 523102 BLAKE2B 
2d69dd37fea7ff35e05b41d500d4efb5b4fe60d9389b7bd98ec360148af781a24b6ebaa213b59ffc36cfcc8421efea14d8ec9f5742a53e019b2221584b5af17e
 SHA512 
a8361ac0e2514626d794e7e4a345b178462409a1f3b53a9318adf171b511c408508acdb07652ad38f34021ac4a614dc5e6d2ea3c6a4ffd261ceef36d3226e573
+DIST siege-4.0.5.tar.gz 525122 BLAKE2B 
6d7410255d9682eeb6755bbf2eb6fd189d1c6e5e4c8bf4ed430e0ad4157ee6af9148a1bfe554167b74a6250b4897a3d34eb1c6c10cc91ff2352419769b9db975
 SHA512 
61f1b0a9fb4f9738f51932d5203a0ee6435aa413975dc3f5c7afafd74ec206e1ec20f5134171f740f55465e6c015df8bdac1775bc04be50bb10d0516e1a62d53

diff --git a/app-benchmarks/siege/metadata.xml 
b/app-benchmarks/siege/metadata.xml
index 6f49eba8f49..67ce38b8d2d 100644
--- a/app-benchmarks/siege/metadata.xml
+++ b/app-benchmarks/siege/metadata.xml
@@ -1,5 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<!-- maintainer-needed -->
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Andrea Cerisara</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription>
+               Siege is an http load testing and benchmarking utility. It was 
designed to let
+               web developers measure their code under duress, to see how it 
will stand up to load on the internet.
+               Siege supports basic authentication, cookies, HTTP, HTTPS and 
FTP protocols.
+               It lets its user hit a server with a configurable number of 
simulated clients.
+       </longdescription>
+       <upstream>
+               <remote-id type="github">JoeDog/siege</remote-id>
+       </upstream>
 </pkgmetadata>

diff --git a/app-benchmarks/siege/siege-4.0.5.ebuild 
b/app-benchmarks/siege/siege-4.0.5.ebuild
new file mode 100644
index 00000000000..d5508aa06bf
--- /dev/null
+++ b/app-benchmarks/siege/siege-4.0.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools bash-completion-r1
+
+DESCRIPTION="A HTTP regression testing and benchmarking utility"
+HOMEPAGE="https://www.joedog.org/siege-home https://github.com/JoeDog/siege";
+SRC_URI="http://download.joedog.org/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~x86 ~x64-macos"
+SLOT="0"
+IUSE="libressl ssl"
+
+RDEPEND="ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )"
+DEPEND="${RDEPEND}
+       sys-devel/libtool"
+
+src_prepare() {
+       default
+       # bundled macros break recent libtool
+       sed -i -e '/AC_PROG_SHELL/d' configure.ac || die
+       rm *.m4 || die "failed to remove bundled macros"
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_with ssl ssl "${EPREFIX}/usr")
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc AUTHORS ChangeLog INSTALL README* doc/siegerc doc/urls.txt
+
+       newbashcomp "${FILESDIR}"/${PN}.bash-completion ${PN}
+}
+
+pkg_postinst() {
+       elog "An example ~/.siegerc file has been installed in"
+       elog "${EPREFIX}/usr/share/doc/${PF}/"
+}

Reply via email to